// -*-C++-*-
//
// File:      Dll.cc
// Author:    jbakker
// Generated: Wed Apr 26 13:47:00 MET DST 2000

#include "Dll.h"
#include <dlfcn.h>

Dll::Dll() 
  : _name(""),_errmsg(""),_handle(0)
{
}

Dll::Dll(const string& library) 
  : _name(library),_errmsg(""),_handle(0)
{
  open(_name);
}

Dll::~Dll()
{
  close();
}


bool Dll::open(const string& library)
{
  close();
  _name=library;
  _handle = dlopen(_name.c_str(), RTLD_LAZY);

  if ( !_handle ) {
    _errmsg=dlerror();
    return false;
  }
  else return true;
}

void Dll::close()
{
  if (_handle) dlclose(_handle);
  _errmsg = "";
}

void *Dll::function(const string& name)
{
  void *fn=0;
  fn=dlsym(_handle, name.c_str());
  if (fn == 0) _errmsg=dlerror();

  return fn;
}
