// -*-C++-*-
//
// File:      HelpViewer.h
// Author:    jbakker
// Generated: Tue Apr 11 15:57:25 MET DST 2000

#ifndef HelpViewer_h
#define HelpViewer_h
#include <string>


/**
   HelpViewer: class that allows showing of an URL;

     browse() returns true, if succeeded.

   Examples:
     HelpViewer h;
     h.browse("http://astro.estec.esa.nl");
     h.browse("astro.estec.esa.nl");        // equivalent to above
     h.browse("/");
     h.browse("file:///");                  // equivalent to above
   
 */
class HelpViewer
{
public:
  HelpViewer();
  virtual ~HelpViewer();

  virtual bool browse(const string& url);

  virtual string browser() const;
protected:
  // only derived classes can use these

private:
  // member functions
  HelpViewer(const HelpViewer&);            // copy constructor (disabled)
  HelpViewer& operator=(const HelpViewer&); // assignment (disabled)

  // member data

};



#endif
